import java.util.*;

public class MyArrayList<T>{
    private Object[] arr;
    private int size;
    private int capacity;


    public MyArrayList() {
        this.arr = new Object[0];
    }

    public MyArrayList(int size) {
        this.arr = new Object[size];
    }

    public Object[] getArr() {
        return arr;
    }

    public void clear() {
        arr = new Object[0];
        size = 0;
    }

    public int size(){
        int count = 0;
        for (int i = 0; i < arr.length; i++) {
            count +=1;
        }
        return count;
    }


    public boolean isEmpty() {
        if(arr.length ==0){
            return true;
        } else
            return false;

    }

    public void add(Object obj) {
        Object[] newArray = Arrays.copyOf(this.arr, arr.length + 1);
        newArray[newArray.length-1] = obj;
        arr = newArray;
    }

    public void add(int idx, Object obj){
        Object[] newArray = Arrays.copyOf(this.arr, arr.length+1);

              for (int i = 0; i < arr.length-1; i++) {
                        if(i<idx){
                            newArray[i] = arr[i];
                        }else if(i>idx){
                            newArray[i] = arr[i-1];
                        }else{
                            newArray[i] = obj;
                        }
                    }

                arr = newArray;
    }

    public Object get(int idx){
        Object obj = null;
        for(int i = 0; i < arr.length; i++){
            if (i == idx){
                obj = arr[i];
            }
        }
        return obj;
    }

    public boolean contains(Object obj) {
     if (arr.length == 0) {
        return false;
        }
        else {
            for (Object i : getArr()) {
                if (i.equals(obj)) {
                    return true;
                }
            }
        }
        return false;
    }

    public void remove(int i) {
        Object[] newArray = new Object[arr.length-1];
        for (int j = 0; j < arr.length-1; j++) {
            if(j>i) {
                newArray[j] = arr[j];
            }if(j<i){
                newArray[j-1]= arr[j];
            }
        }
        arr = newArray;
        size -= 1;
    }
    public void remove(Object obj) {
        Object[] newArray = new Object[arr.length-1];

        int idx = 0;
        for (int i = 0; i < arr.length-1; i++) {
            if(arr[i].equals(obj)){
                idx = i;
            }
        }
        remove(idx);
        arr = newArray;
    }

}




